Bug 1301715 - routers are showing "Active" on all L3 agents
routers are showing "Active" on all L3 agents
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron (Show other bugs)
7.0 (Kilo)
Unspecified Linux
unspecified Severity unspecified
: ---
: 7.0 (Kilo)
Assigned To: lpeer
Toni Freger
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-25 14:03 EST by bigswitch
Modified: 2016-04-26 13:33 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-27 20:17:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bigswitch 2016-01-25 14:03:09 EST
Description of problem:
With neutron L3 ha is enabled , When creating a neutron router , All l3 agents are showing active for the router. external router ports or floating IP , is keep moving the endpoints between all the L3 agents.

Version-Release number of selected component (if applicable):
RHOSP 7.0 - RH 7.2 overcloud image , L3 HA enabled in neutron.

How reproducible:
Configure 3 L3 agents cluster , I think when there is cluster disconnect/reconnect happens , i believe , existing and new L3 routers are showing active on all the L3 agents.

Steps to Reproduce:
1.
2.
3.

Actual results:
[stack@rhel-10v8v0v120 ~]$ neutron router-list
+--------------------------------------+-----------+----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+-------------+------+
| id                                   | name      | external_gateway_info                                                                                                                                                                  | distributed | ha   |
+--------------------------------------+-----------+----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+-------------+------+
| 180dfb43-0eca-4a22-aefa-8c92fb1bd015 | p2-router | {"network_id": "6bad6b97-a20a-473c-9b9f-4ef2e278b332", "enable_snat": true, "external_fixed_ips": [{"subnet_id": "088dec20-f695-47b0-9b06-427475cb3f77", "ip_address": "10.8.77.15"}]} | False       | True |
| 19d266b0-a263-437e-87b3-48b52e66fed2 | p3-router | {"network_id": "6bad6b97-a20a-473c-9b9f-4ef2e278b332", "enable_snat": true, "external_fixed_ips": [{"subnet_id": "088dec20-f695-47b0-9b06-427475cb3f77", "ip_address": "10.8.77.17"}]} | False       | True |
| 228e5eb7-46f6-420b-921c-40e7a623328a | p1-router | {"network_id": "6bad6b97-a20a-473c-9b9f-4ef2e278b332", "enable_snat": true, "external_fixed_ips": [{"subnet_id": "088dec20-f695-47b0-9b06-427475cb3f77", "ip_address": "10.8.77.13"}]} | False       | True |
+--------------------------------------+-----------+----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+-------------+------+
[stack@rhel-10v8v0v120 ~]$  neutron l3-agent-list-hosting-router 19d266b0-a263-437e-87b3-48b52e66fed2
+--------------------------------------+------------------------------------+----------------+-------+----------+
| id                                   | host                               | admin_state_up | alive | ha_state |
+--------------------------------------+------------------------------------+----------------+-------+----------+
| 8e79ea1f-97d9-4ce6-b742-db44869e964a | overcloud-controller-1.localdomain | True           | :-)   | active   |
| 446a7999-6f5a-41ea-9c90-fbea2eb577af | overcloud-controller-0.localdomain | True           | :-)   | active   |
| 0eb25a5e-12db-4061-8ec8-4a6a20515a5f | overcloud-controller-2.localdomain | True           | :-)   | active   |
+--------------------------------------+------------------------------------+----------------+-------+----------+
[stack@rhel-10v8v0v120 ~]$  neutron l3-agent-list-hosting-router 19d266b0-a263-437e-87b3-48b52e66fed2
+--------------------------------------+------------------------------------+----------------+-------+----------+
| id                                   | host                               | admin_state_up | alive | ha_state |
+--------------------------------------+------------------------------------+----------------+-------+----------+
| 8e79ea1f-97d9-4ce6-b742-db44869e964a | overcloud-controller-1.localdomain | True           | :-)   | active   |
| 446a7999-6f5a-41ea-9c90-fbea2eb577af | overcloud-controller-0.localdomain | True           | :-)   | active   |
| 0eb25a5e-12db-4061-8ec8-4a6a20515a5f | overcloud-controller-2.localdomain | True           | :-)   | active   |
+--------------------------------------+------------------------------------+----------------+-------+----------+
[stack@rhel-10v8v0v120 ~]$ neutron agent-list
+--------------------------------------+--------------------+------------------------------------+-------+----------------+---------------------------+
| id                                   | agent_type         | host                               | alive | admin_state_up | binary                    |
+--------------------------------------+--------------------+------------------------------------+-------+----------------+---------------------------+
| 0512eda4-5361-44a3-b693-60f9836e1b48 | Metadata agent     | overcloud-controller-0.localdomain | :-)   | True           | neutron-metadata-agent    |
| 054a2225-9732-4035-9cc2-92c13824e7a9 | DHCP agent         | overcloud-controller-0.localdomain | :-)   | True           | neutron-dhcp-agent        |
| 0eb25a5e-12db-4061-8ec8-4a6a20515a5f | L3 agent           | overcloud-controller-2.localdomain | :-)   | True           | neutron-l3-agent          |
| 27808325-6e4a-4314-b901-3e7bd5b916c7 | Open vSwitch agent | overcloud-controller-2.localdomain | :-)   | True           | neutron-openvswitch-agent |
| 3a5f29ab-0bf8-475b-888f-1e5ad3b7040a | Open vSwitch agent | overcloud-controller-1.localdomain | :-)   | True           | neutron-openvswitch-agent |
| 446a7999-6f5a-41ea-9c90-fbea2eb577af | L3 agent           | overcloud-controller-0.localdomain | :-)   | True           | neutron-l3-agent          |
| 47de07c8-82b1-4da2-b17d-a623fd499243 | Metadata agent     | overcloud-controller-2.localdomain | :-)   | True           | neutron-metadata-agent    |
| 53dfe0a1-1c0b-4347-a92e-e8bc51d85f00 | DHCP agent         | overcloud-controller-1.localdomain | :-)   | True           | neutron-dhcp-agent        |
| 548f8721-b852-461f-ba16-eab94d2ab7b8 | Open vSwitch agent | overcloud-controller-0.localdomain | :-)   | True           | neutron-openvswitch-agent |
| 8021459d-ba7c-461a-9e24-98838c73b3f0 | DHCP agent         | overcloud-controller-2.localdomain | :-)   | True           | neutron-dhcp-agent        |
| 8e79ea1f-97d9-4ce6-b742-db44869e964a | L3 agent           | overcloud-controller-1.localdomain | :-)   | True           | neutron-l3-agent          |
| 90267b3a-2db7-4507-bc9f-f74f8f4a691c | Metadata agent     | overcloud-controller-1.localdomain | :-)   | True           | neutron-metadata-agent    |
| d2dad777-0ff0-411b-8e02-1fd213f13ac1 | Open vSwitch agent | overcloud-compute-0.localdomain    | :-)   | True           | neutron-openvswitch-agent |
+--------------------------------------+--------------------+------------------------------------+-------+----------------+---------------------------+

Expected results:

For every router , there should be only one L3 agent active , all others L3 agents  are suppose to be standby.
Additional info:
Comment 3 Assaf Muller 2016-01-25 15:40:25 EST
This is most likely a configuration issue, seeing as how we don't have this issue in other OSP-d based installations.

Please upload an SOS report of one of the controllers. I can't access that Google Drive link.
Comment 4 bigswitch 2016-01-27 20:17:40 EST
Found out the issue , VRRP vlan was not configured properly. CLosing the bug.

Note You need to log in before you can comment on or make changes to this bug.